aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-04-15 20:36:28 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-04-15 20:36:28 +0000
commit6464ef72eedc781039a7849384b5d547efddc403 (patch)
treeb159f3141179b5f4f3062621ef34083d3eb8a256
parentbb107c237cc9317b4abea8e6ccfae45f8cc29b8b (diff)
downloadpaludis-6464ef72eedc781039a7849384b5d547efddc403.tar.gz
paludis-6464ef72eedc781039a7849384b5d547efddc403.tar.xz
Don't barf when a vdb file contains a single quote
-rw-r--r--ebuild/builtin_unmerge.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/ebuild/builtin_unmerge.bash b/ebuild/builtin_unmerge.bash
index 10d047e..7911ab9 100644
--- a/ebuild/builtin_unmerge.bash
+++ b/ebuild/builtin_unmerge.bash
@@ -25,7 +25,7 @@ builtin_unmerge()
for v in CATEGORY CBUILD CFLAGS CHOST CXXFLAGS DEPEND DESCRIPTION EAPI \
FEATURES HOMEPAGE INHERITED IUSE KEYWORDS LICENSE PDEPEND PF \
PROVIDE RDEPEND SLOT SRC_URI USE ; do
- eval "${v}='$(< ${dbdir}/${v} )' || die \"Load key ${v} failed\""
+ eval "${v}=\$(< ${dbdir}/${v} ) || die \"Load key ${v} failed\""
done
if [[ -f ${dbdir}/CONFIG_PROTECT ]]; then